Title: Mirror's Edge 2D Beta
Alternate Titles: null
Library: arcade
Series: null
Developer: BorneGames
Publisher: null
Play Mode: Single Player
Release Date: null
Version: null
Languages: en
Extreme: No
Tags: Platformer
Tag Categories: default
Source: Playhub.com
Platform: Flash
Status: Playable
Application Path: FPSoftware\Flash\flashplayer_32_sa.exe
Launch Command: http://localflash/mirrors edge 2d.swf
Game Notes: null
Original Description: null
Curation Notes: null
Additional Applications: {}
